Bug 349711 - Cannot import SVN to MTN
Cannot import SVN to MTN
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tailor (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 18:40 EDT by Peter Lawler
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.9.29-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 22:33:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Lawler 2007-10-23 18:40:26 EDT
Description of problem:
Due to MTN not accepting microseconds in it's time format, cannot convert


Version-Release number of selected component (if applicable):


How reproducible:
Attempt to convert an SVN repository into an MTN repository.

Steps to Reproduce:
1. mkdir -p ~/tmp/mtn_test && cd ~/tmp/mtn_test
2. mtn db init --db=~/a_tmp.mtn
3. mtn --db=~/a_tmp.mtn --branch=com.example.mtn setup a_tmp_mtn
4. tailor -D -v -s svn -t monotone -R http://svn.example.com -m /trunk
  
Actual results:
Error stream:
mtn: misuse: option error: bad argument '2007-09-24T13:25:04.746963' to option
'date': misuse: unrecognized date (monotone only understands ISO 8601 format)
09:34:41 [E] Monotone commit said: mtn: misuse: option error: bad argument
'2007-09-24T13:25:04.746963' to option 'date': misuse: unrecognized date
(monotone only understands ISO 8601 format)

09:34:41 [C] Couldn't replay changeset
09:34:41 [C] Upstream change application failed
Failure applying upstream changes: ~/tmp/mtn_test $ mtn commit --author example
--date 2007-09-24T13:25:04.746963 --message-file /tmp/tailort10lJlmtn . returned
status 1


Expected results:
The import/conversion takes place.

Additional info:
Looking over the Trac for tailor, it'd appear that this is fixed six months ago,
and the fix is available in their version 0.9.29.
http://progetti.arstecnica.it/tailor/changeset/1370/
Comment 1 Peter Lawler 2007-10-23 18:41:41 EDT
Gah, I didn't say in the 'Version-Release number of selected component (if
applicable):' section that this is with the currently shipping 0.9.28.
Comment 2 Dan Horák 2007-10-24 04:14:38 EDT
Thanks for the report, I will update tailor during the next few days.
Comment 3 Fedora Update System 2007-11-06 11:15:29 EST
tailor-0.9.29-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tailor'
Comment 4 Fedora Update System 2007-11-09 18:52:03 EST
tailor-0.9.29-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tailor'
Comment 5 Peter Lawler 2007-11-09 19:28:01 EST
Thanks for the F7 update, will test this weekend.
Comment 6 Dan Horák 2007-11-17 04:01:11 EST
What is the result of your test? When it works, I will mark the update as stable.
Comment 7 Fedora Update System 2007-11-21 22:31:03 EST
tailor-0.9.29-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-11-21 22:33:25 EST
tailor-0.9.29-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.